import $ from '../../client/zepto'
import './download.less'
import Swiper from 'swiper/dist/js/swiper.jquery'

$(() => {
    let slider = null
    let isOpen = false
    const oCover = $('#cover')
    const bullets = $('#slider-pagination span')
    const oCoverPanel = $('#cover-panel')

    $('#btn').on('click', () => {
        // countCode({ forumKey, appName, type: 'click' })
        if (isOpen) {
            oCover.style.display = 'block'
            oCover.style.opacity = 1
            let i = bullets.length
            while (i--) {
                bullets[ i ].className = ''
            }
            bullets[ 0 ].className = 'on'
            slider = new Swiper(document.getElementById('slider'), {
                callback(pos) {
                    bullets.removeClass('on')
                    $(bullets[ pos ]).addClass('on')
                }
            })
            slider.stop()
            oCoverPanel.className = 'cover-panel fadeintop'
        }
    })

    $('close-btn').on('click', () => {
        if (isOpen) {
            oCover.style.opacity = 0
            oCoverPanel.className = 'cover-panel fadeouttop'
            setTimeout(() => {
                oCover.style.display = 'none'
                oCoverPanel.className = 'cover-panel'
                slider.kill()
            }, 700)
        }
    })
})
